Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.tcap
Interface TcapLayerManagerMBean

public abstract interface TcapLayerManagerMBean
extends OamLayerManagerMBean, TcapManagedObjectMBean

This interface defines the methods required for the creation and management of all MTP Level 2 Managed MBeans.

The Mtp2LayerManagerMBean acts as a factory for the creation of Mtp2ManagedObjectMBeans and allows a NotificationListener to register as a listener of all Mtp2ManagedObjectMBeans.

When creating a MBean an entry must be added to the LookupTable of that MBean's ObjectName and reference, and when a MBean is being deleted the corresponding entry in the LookupTable must be removed. This is to enable the application to operate successfully without a JMX agent.

An instance of this Mtp2LayerManagerMBean should be created through the JainSS7Factory. The JainSS7Factory defines a naming convention to locate a proprietary implementation of this interface.

Under the JAIN naming convention, the upper-level package structure (pathname) can be used to differentiate between proprietary implementations from different SS7 Vendors. The pathname used by each SS7 Vendor must be the domain name assigned to the Vendor in reverse order, e.g. Sun Microsystem's would be 'com.sun'

In order to be recognised as a JMX MBean a class implementing this interface must be called Mtp2LayerManager.

It follows that a proprietary implementation of a Mtp2LayerManagerMBean will be located at:

.jain.protocol.ss7.oam.mtp2.Mtp2LayerManager

Where:

pathname = reverse domain name, e.g. 'com.aepona'

The resulting Mtp2LayerManager from AePONA would be located at:

com.aepona.jain.protocol.ss7.oam.mtp2.Mtp2LayerManager

Consequently, an application may create a Mtp2LayerManagerMBean by invoking: JainSS7Factory.createSS7Object(jain.protocol.ss7.oam.mtp2.Mtp2LayerManager). The PathName of the vendor specific implementation of which you want to instantiate can be set before calling JainSS7Factory.setPathName("vendorPathname"); or the default or current pathname may be used.

This illustrates how JAIN OAM MBeans are instantiated

Relationship between the TCAP JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamLayerManagerMBean
`PROTOCOL_VARIANT_ANSI_1992, PROTOCOL_VARIANT_ANSI_1996, PROTOCOL_VARIANT_ITU_1993, PROTOCOL_VARIANT_ITU_1996, PROTOCOL_VARIANT_ITU_1997, PROTOCOL_VARIANT_OTHER`

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `createTcapNode(ObjectName sp, ObjectName[] subsystems)` Creates a new TcapNodeMBean for the specified local signalling point and subsystem.
`void` | `deleteTcapNode(ObjectName tcap)` Deletes the specified TcapNodeMBean identified by the specified ObjectName Note that once a TcapNodeMBean has been deleted, it should no longer be returned by the getTcapNodes() method.
`ObjectName` | `getActiveTcapNode(java.lang.Integer index)` Returns the ObjectName of one of the active TCAP layers managed by this TCAP Layer Manager.
`ObjectName[]` | `getActiveTcapNodes()` Returns an array of ObjectNames of all the active TCAP layers managed by this TCAP Layer Manager.
`ObjectName` | `getTcapNode(java.lang.Integer index)` Returns the ObjectName of one of the TCAP layers managed by this TCAP Layer Manager.
`ObjectName[]` | `getTcapNodes()` Returns an array of ObjectNames of all the TCAP layers managed by this TCAP Layer Manager.
`void` | `setActiveTcapNode(java.lang.Integer index, ObjectName tcapLayer)` Sets one of the active TCAP layers (identified by the specified ObjectName) managed by this TCAP Layer Manager.
`void` | `setActiveTcapNodes(ObjectName[] tcapLayers)` Sets all of the active TCAP layers (identified by the specified array of ObjectNames) managed by this TCAP Layer Manager.

Methods inherited from interface jain.protocol.ss7.oam.OamLayerManagerMBean
`addNotificationListenerToAllMBeans, commit, getAllOamManagedObjects, getLookupTable, getProtocolVariantAndYear, getStackName, getVendorDetails, readCurrentConfiguration, removeNotificationListenerFromAllMBeans, rollBack, setProtocolVariantAndYear, setStackName`

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### setActiveTcapNode

    public void setActiveTcapNode(java.lang.Integer index,
                                  ObjectName tcapLayer)
                           throws TooManyInstancesException

  Sets one of the active TCAP layers (identified by the specified ObjectName) managed by this TCAP Layer Manager. There will be one instance of a local TCAP per local signalling point. Where multiple logical signalling points exist within the one physical stack, there will be several local TCAP instances.
  Parameters:
    `index` - the position of the TCAP layer in the array of TCAP layers managed by this TCAP Layer Manager.
    `tcapLayer` - the ObjectName of the TCAP Layer
  Throws:
    TooManyInstancesException - - if no more TCAP Nodes can be activated by this implementation

### getActiveTcapNode

    public ObjectName getActiveTcapNode(java.lang.Integer index)

  Returns the ObjectName of one of the active TCAP layers managed by this TCAP Layer Manager. There will be one instance of a local TCAP per local signalling point. Where multiple logical signalling points exist within the one physical stack, there will be several local TCAP instances.

  There is a subtle difference between this method and the getTcapNodes() method in that this method returns only the TCAPs that are currently in use, whereas the getTcapNodes() method contains all TCAPs (both those TcapNodeMBeans currently in use and the TcapNodeMBeans that have been configured, but not activated for any reason including for backup). Every TcapNodeMBean that was created through the createTcapNode() method shall be returned by the getTcapNodes() method, but only those TCAPs that have been activated using the setActiveTcapNodes() method shall be returned by this method.

  Parameters:
    `index` - the position of the TCAP layer in the array of TCAP layers managed by this TCAP Layer Manager.
  Returns:
    the ObjectName of one of the active TCAPs

### setActiveTcapNodes

    public void setActiveTcapNodes(ObjectName[] tcapLayers)
                            throws TooManyInstancesException

  Sets all of the active TCAP layers (identified by the specified array of ObjectNames) managed by this TCAP Layer Manager. There will be one instance of a local TCAP per local signalling point. Where multiple logical signalling points exist within the one physical stack, there will be several local TCAP instances.
  Parameters:
    `tcapLayers` - an array of the ObjectNames of all of the TCAP Layer
  Throws:
    TooManyInstancesException - - if no more tcap nodes can be actvated by this implementation

### getActiveTcapNodes

    public ObjectName[] getActiveTcapNodes()

  Returns an array of ObjectNames of all the active TCAP layers managed by this TCAP Layer Manager. There will be one instance of a local TCAP per local signalling point. Where multiple logical signalling points exist within the one physical stack, there will be several local TCAP instances.

  There is a subtle difference between this method and the getTcapNodes() method in that this method returns only the TCAPs that are currently in use, whereas the getTcapNodes() method contains all TCAPs (both those TcapNodeMBeans currently in use and the TcapNodeMBeans that have been configured, but not activated for any reason including for backup). Every TcapNodeMBean that was created through the createTcapNode() method shall be returned by the getTcapNodes() method, but only those TCAPs that have been activated using the setActiveTcapNodes() method shall be returned by this method.

  Returns:
    an array of ObjectNames of all the TCAP Layers

### createTcapNode

    public ObjectName createTcapNode(ObjectName sp,
                                     ObjectName[] subsystems)
                              throws TooManyInstancesException

  Creates a new TcapNodeMBean for the specified local signalling point and subsystem.
  Parameters:
    `sp` - the ObjectName of the signalling point of the TCAP layer
    `subsystems` - an array of ObjectNames of the susbsystems of the TCAP layer.
  Returns:
    the ObjectName of the newly created TcapNodeMBean.
  Throws:
    TooManyInstancesException - if

    - too many subsystems were supplied for the signalling point, or
    - no more Tcap Nodes can be created by this implementation

### deleteTcapNode

    public void deleteTcapNode(ObjectName tcap)

  Deletes the specified TcapNodeMBean identified by the specified ObjectName Note that once a TcapNodeMBean has been deleted, it should no longer be returned by the getTcapNodes() method.

### getTcapNode

    public ObjectName getTcapNode(java.lang.Integer index)

  Returns the ObjectName of one of the TCAP layers managed by this TCAP Layer Manager. Every TcapNodeMBean that was created through the createTcapNode() method shall be returned by the getTcapNodes() method, but only those TCAPs that have been activated using the setActiveTcapNodes() method shall by the getActiveTcapNode() method.
  Parameters:
    `index` - the position of the TCAP layer in the array of TCAP layers managed by this TCAP Layer Manager.
  Returns:
    the ObjectName of one of the created TCAPs

### getTcapNodes

    public ObjectName[] getTcapNodes()

  Returns an array of ObjectNames of all the TCAP layers managed by this TCAP Layer Manager. Every TcapNodeMBean that was created through the createTcapNode() method shall be returned by the getTcapNodes() method, but only those TCAPs that have been activated using the setActiveTcapNodes() method shall by the getActiveTcapNode() method.
  Returns:
    an array of ObjectNames of all created TcapNodeMBeans.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems